#pragma once

namespace nlite{



	///
	///アプリケーション情報クラス(シングルトン)
	///
	class CApplicationInfo{



		

	private:
		LPVOID	pBlock;							//ブロックバッファ
		LPTSTR	pProductVersion;				//バージョン情報
		LPTSTR  pOriginalFileName;				//オリジナルファイル名
		LPTSTR  pLegalCopyright;				//著作権
		LPTSTR  pProductName;					//製品名
	private:
		///
		///コンストラクタ
		///
		CApplicationInfo();

	public:

		///
		///デストラクタ
		///
		~CApplicationInfo();
	public:
		///
		///シングルトン
		///
		static CApplicationInfo& getInstance();
		



		//
		//ゲッター
		//
		LPCTSTR getProductVersion()const;

		LPCTSTR getOriginalFileName()const;

		LPCTSTR getLegalCopyright()const;

		LPCTSTR getProcuctName() const;

		///
		///ウィンドウに表示
		///
		VOID show() const;

		

	};
}